'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
'
'	Created by: t1rhino - Team Short-Media (#93)
' 	Date: August 22, 2003
'	Purpose: Get advanced Folding@Home stats to display with Coolmon
'
' 	Output:
'	Line 1 - Username
'	Line 2 - TeamID
'	Line 3 - Rank within Team
'	Line 4 - Rank within Folding@Home
'	Line 5 - Movement within team in last 24 hours
'	Line 6 - Points within last 24 hours
'	Line 7 - Points within last week
'	Line 8 - Total Points
'	Line 9 - Total Work Units
'
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


' Set the path and name of the output text file
Path = "jason.txt"

' Set the Folding@Home user and team to be queried
' PerPage is how many people to request, the higeher your rank the lower this number can be
TeamID = "TeamNumber"
Username = "Username"
UserID = 0
PerPage = 250

' Output Variables
UserTeamRank = 0
UserProRank = 0
Move3hr = 0
Move24hr = 0
Points24hr = 0
Points7Day = 0
PointsTotal = 0
WUsTotal = 0

Dim Pos1, Pos2
Dim strTemp

on error resume next

' Open an HTTP to the team stats
set http = createobject("microsoft.xmlhttp")
http.open "GET", "http://folding.extremeoverclocking.com/team_members.php?TeamID=" & TeamID & "&perpage=" & PerPage, False
http.send
webstats = http.responsetext

if webstats = "" then
	'~~~ Unable to Connect to Stats website ~~~
	'~~~ Check your
else

	if Instr(webstats,"Currently Updating") <> 0 Then
		'~~~ Stats are updating ~~~
	else

		if instr(webstats,Username) = 0 then
			'~~~ Unable to find user ~~~
		else

			' Find the UserID
			Pos1 = instr(webstats,Username)
			Pos2 = instrrev(webstats,"UserID=",Pos1)
			strTemp = Right(webstats,Len(webstats) - Pos2 - 6)
			Pos1 = instr(strTemp,">")
			strTemp = Left(strTemp,Pos1 - 2)
			UserID = trim(strTemp)


			' Find UserTeamRank
			Pos1 = instr(webstats,Username)
			Pos2 = instrrev(webstats,"<tr>",Pos1)
			strTemp = Right(webstats,Len(webstats) - Pos2 - 3)
			Pos1 = instr(strTemp,"<font size='-1'")
			strTemp = Right(strTemp,Len(strTemp) - Pos1)
			Pos2 = instr(strTemp,">")
			strTemp = Right(strTemp,Len(strTemp) - Pos2)
			Pos1 = instr(strTemp,"<")
			strTemp = Left(strTemp, Pos1 -1)
			UserTeamRank = trim(strTemp)


			' Find UserProRank
			Pos1 = instr(webstats,Username)
			Pos2 = instrrev(webstats,"align='right'",Pos1)
			strTemp = Right(webstats,Len(webstats) - Pos2)
			Pos1 = instr(strTemp,"</font>")
			strTemp = Left(strTemp,Pos1-1)
			Pos2 = instrrev(strTemp,">")
			strTemp = Right(strTemp,Len(strTemp) - Pos2)
			UserProRank = trim(strTemp)


			'Find Last24hr
			Pos1 = instr(webstats,Username)
			strTemp = Right(webstats,Len(webstats)-Pos1)
			Pos2 = instr(strTemp,"</font>")
			strTemp = Right(strTemp,Len(strTemp)-Pos2)
			Pos1 = instr(strTemp,"</font>")
			strTemp = Right(strTemp,Len(strTemp)-Pos1)
			Pos2 = instr(strTemp,"</font>")
			strTemp = Left(strTemp,Pos2)
			if instr(strTemp,"&nbsp;") <> 0 then
				'no change
				Last24hr = ""
			else
				Pos1 = instr(strTemp,"<img")
				strTemp = Left(strTemp,Pos1-1)
				Pos2 = instrrev(strTemp,">")
				strTemp = Right(strTemp,Len(strTemp)-Pos2)
				Last24hr = Trim(CStr(strTemp))
			end if


			'Find Points24hr
			Pos1 = instr(webstats,Username)
			strTemp = Right(webstats,Len(webstats)-Pos1)
			Pos2 = instr(strTemp,"</font>")
			strTemp = Right(strTemp,Len(strTemp)-Pos2)
			Pos1 = instr(strTemp,"</font>")
			strTemp = Right(strTemp,Len(strTemp)-Pos1)
			Pos2 = instr(strTemp,"</font>")
			strTemp = Right(strTemp,Len(strTemp)-Pos2)
			Pos1 = instr(strTemp,"</font>")
			strTemp = Left(strTemp,Pos1-1)
			Pos2 = instrrev(strTemp,">")
			strTemp = Right(strTemp,Len(strTemp)-Pos2)
			Points24hr = trim(strTemp)


			'Find Points7day
			Pos1 = instr(webstats,Username)
			strTemp = Right(webstats,Len(webstats)-Pos1)
			Pos2 = instr(strTemp,"</font>")
			strTemp = Right(strTemp,Len(strTemp)-Pos2)
			Pos1 = instr(strTemp,"</font>")
			strTemp = Right(strTemp,Len(strTemp)-Pos1)
			Pos2 = instr(strTemp,"</font>")
			strTemp = Right(strTemp,Len(strTemp)-Pos2)
			Pos1 = instr(strTemp,"</font>")
			strTemp = Right(strTemp,Len(strTemp)-Pos1)
			Pos1 = instr(strTemp,"</font>")
			strTemp = Left(strTemp,Pos1-1)
			Pos2 = instrrev(strTemp,">")
			strTemp = Right(strTemp,Len(strTemp)-Pos2)
			Points7day = trim(strTemp)


			'Find PointsTotal
			Pos1 = instr(webstats,Username)
			strTemp = Right(webstats,Len(webstats)-Pos1)
			Pos2 = instr(strTemp,"</font>")
			strTemp = Right(strTemp,Len(strTemp)-Pos2)
			Pos1 = instr(strTemp,"</font>")
			strTemp = Right(strTemp,Len(strTemp)-Pos1)
			Pos2 = instr(strTemp,"</font>")
			strTemp = Right(strTemp,Len(strTemp)-Pos2)
			Pos1 = instr(strTemp,"</font>")
			strTemp = Right(strTemp,Len(strTemp)-Pos1)
			Pos2 = instr(strTemp,"</font>")
			strTemp = Right(strTemp,Len(strTemp)-Pos2)
			Pos1 = instr(strTemp,"</font>")
			strTemp = Left(strTemp,Pos1-1)
			Pos2 = instrrev(strTemp,">")
			strTemp = Right(strTemp,Len(strTemp)-Pos2)
			PointsTotal = trim(strTemp)


			'Find WUs
			Pos1 = instr(webstats,Username)
			strTemp = Right(webstats,Len(webstats)-Pos1)
			Pos2 = instr(strTemp,"</font>")
			strTemp = Right(strTemp,Len(strTemp)-Pos2)
			Pos1 = instr(strTemp,"</font>")
			strTemp = Right(strTemp,Len(strTemp)-Pos1)
			Pos2 = instr(strTemp,"</font>")
			strTemp = Right(strTemp,Len(strTemp)-Pos2)
			Pos1 = instr(strTemp,"</font>")
			strTemp = Right(strTemp,Len(strTemp)-Pos1)
			Pos2 = instr(strTemp,"</font>")
			strTemp = Right(strTemp,Len(strTemp)-Pos2)
			Pos1 = instr(strTemp,"</font>")
			strTemp = Right(strTemp,Len(strTemp)-Pos1)
			Pos1 = instr(strTemp,"</font>")
			strTemp = Left(strTemp,Pos1-1)
			Pos2 = instrrev(strTemp,">")
			strTemp = Right(strTemp,Len(strTemp)-Pos2)
			WUsTotal = trim(strTemp)


			' Open text stream to write the extracted data into
			Set fs = CreateObject("Scripting.FileSystemObject")
			Set outFile = fs.CreateTextFile(Path, True)

			outFile.writeline UserName
			outFile.writeline TeamID
			outFile.writeline UserTeamRank
			outFile.writeline UserProRank
			outFile.writeline Last24hr
			outFile.writeline Points24hr
			outFile.writeline Points7day
			outFile.writeline PointsTotal
			outFile.writeline WusTotal

			outFile.close

		end if
	end if
end if